import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { UserService } from '../shared/services/user.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
export class LoginComponent implements OnInit {

  constructor(private fb: FormBuilder, private userService: UserService) { }

  
  loginForm: FormGroup;

  ngOnInit() {
    this.loginForm = this.fb.group({
      username: ['', [Validators.required, Validators.minLength(4)]],
      password: ['', Validators.required]
    });
  }



get username() { return this.loginForm.get('username');}

get password() { return this.loginForm.get('password');}


onSubmit() {
  this.userService.loginUser(this.loginForm.value).subscribe(
    (data) => {
      console.log('Data:', data);
    },
    (error) => {
      console.log('GRESKAAA!',error);
    }
  );
}

}
